> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Switch to Custom Roles

> Update the organization's Custom Roles switch status.
This endpoint allows you to enable or disable the Custom Roles feature for the organization, provided the organization is allowed to make this change.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /org/{org_id}/switch_to_custom_roles
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /org/{org_id}/switch_to_custom_roles:
    post:
      tags:
        - Custom Roles
      summary: Switch to Custom Roles
      description: >
        Update the organization's Custom Roles switch status.

        This endpoint allows you to enable or disable the Custom Roles feature
        for the organization, provided the organization is allowed to make this
        change.
      operationId: switchCustomRoles
      parameters:
        - $ref: '#/components/parameters/path_org_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - switch_to_custom_roles
              properties:
                switch_to_custom_roles:
                  type: boolean
                  description: >-
                    Whether to switch to Custom Roles (true) or revert to
                    standard roles (false)
                  example: true
      responses:
        '200':
          description: Successfully updated Custom Roles switch status
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                    description: Request status
                    example: success
                  org_id:
                    type: integer
                    description: >
                      Unique identifier for the organization you want to switch.
                      Only `PROVIDER` users can use this field. If you are not a
                      `PROVIDER`, this will default to the ID of your
                      organization.
                    example: 123
                required:
                  - status
                  - org_id
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          description: >
            You are not allowed to switch your organization to the new Custom
            Roles system.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: You are not allowed to switch
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    path_org_id:
      in: path
      name: org_id
      required: true
      schema:
        type: integer
      description: >
        Unique ID of the organization to which the resource belongs. Only
        `PROVIDER` users can access resources from a different organization than
        their own. If you are not a `PROVIDER`, this will default to the ID of
        your organization.
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````